import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.net.Socket;
import java.util.Vector;

public class PIN {
	
	public Vector allPins;
	Socket Console;
	
	public PIN () {
		allPins = new Vector();
	}
	
	public void add(Object o) {
		allPins.add(o);
		refresh();
	}
	
	public void remove(int i) {
		allPins.remove(i);
	}
	
	public boolean contains(Object o) {
		return allPins.contains(o);
	} 
	
	public void removeElement(Object o) {
		allPins.removeElement(o);
	}
	
	public Vector getValue() {
		return allPins;
	}
	
	public String toString() {
		StringBuilder sb = new StringBuilder();
		for (Object o : allPins) sb.append(o.toString() + " ");
		return sb.toString();
	}
	
	public void refresh() {		
		try {
				Console = new Socket("localhost", 1707);
				PrintStream sout = new PrintStream(Console.getOutputStream());
				sout.println(toString());
		} catch (IOException e) {
			System.err.println("Oops.");
		}
	}
}